curl -X POST "https://arpeggi.io/api/kits/v1/voice-blender" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"modelId1": 6,
"modelId2": 15,
"modelId3": 83,
"alpha": 0.33,
"alpha2": 0.33,
"title": "My New Voice Model"
}'
url = "https://arpeggi.io/api/kits/v1/voice-blender"
headers = { 'Authorization': f'Bearer {your_api_key}' }
data = { modelId1: 6, modelId2: 15, modelId3: 83, alpha: 0.33, alpha2: 0.33, title: "My New Voice Model" }
response = requests.post(url, data=data, headers=headers)
voice_blender_job = response.json()
const url = 'https://arpeggi.io/api/kits/v1/voice-blender'
const headers = { Authorization: `Bearer ${your_api_key}` }
const data = (data = {
modelId1: 6,
modelId2: 15,
modelId3: 83,
alpha: 0.33,
alpha2: 0.33,
title: 'My New Voice Model'
})
const response = await axios.post(url, data, { headers })
const voiceBlenderJob = response.data
{
"id": 110784,
"model1Id": 6,
"model2Id": 15,
"model3Id": 83,
"alpha": 0.33,
"alpha2": 0.33,
"alpha3": 0.34,
"status": "running",
"outputModelId": 600,
"title": "My New Voice Model"
}
Authentication was not provided or was invalid.
Request body is invalid.
Rate limit exceeded.
Voice Blender API
POST: Create a Voice Blender Job
Create a new job to blend multiple voices using the Kits API.
POST
/
api
/
kits
/
v1
/
voice-blender
curl -X POST "https://arpeggi.io/api/kits/v1/voice-blender" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"modelId1": 6,
"modelId2": 15,
"modelId3": 83,
"alpha": 0.33,
"alpha2": 0.33,
"title": "My New Voice Model"
}'
url = "https://arpeggi.io/api/kits/v1/voice-blender"
headers = { 'Authorization': f'Bearer {your_api_key}' }
data = { modelId1: 6, modelId2: 15, modelId3: 83, alpha: 0.33, alpha2: 0.33, title: "My New Voice Model" }
response = requests.post(url, data=data, headers=headers)
voice_blender_job = response.json()
const url = 'https://arpeggi.io/api/kits/v1/voice-blender'
const headers = { Authorization: `Bearer ${your_api_key}` }
const data = (data = {
modelId1: 6,
modelId2: 15,
modelId3: 83,
alpha: 0.33,
alpha2: 0.33,
title: 'My New Voice Model'
})
const response = await axios.post(url, data, { headers })
const voiceBlenderJob = response.data
{
"id": 110784,
"model1Id": 6,
"model2Id": 15,
"model3Id": 83,
"alpha": 0.33,
"alpha2": 0.33,
"alpha3": 0.34,
"status": "running",
"outputModelId": 600,
"title": "My New Voice Model"
}
Authentication was not provided or was invalid.
Request body is invalid.
Rate limit exceeded.
Creates a voice blender job and adds it to the blender queue. The response will contain the job status along with the id of the output voice model. Note that the output model will only be usable once the job has status “success”.
When creating voice blender jobs, you need to provide at least two voice models to blend, but can provide up to four. You’ll also need to provider one less alpha value than the number of voice models you’re blending, as the last alpha value is calculated automatically as 1 - the sum of the other alpha values.
Headers
String
Bearer (api-key)
Request Body
Number
The id of the first voice model to blend.
Number
The id of the second voice model to blend.
Number
The id of the third voice model to blend.
Number
The id of the fourth voice model to blend.
Number
The percentage of the output model that will be the first voice model. Range from 0 to 1.
Number
If three or more models are provided, this indicates the percentage of the output model that will be the second voice model. Required if modelId3 is provided. Range from 0 to 1.
Number
If four or more models are provided, this indicates the percentage of the output model that will be the third voice model. Required if modelId4 is provided. Range from 0 to 1.
String
The title of the new voice model.
Response
Voice Blender Jobcurl -X POST "https://arpeggi.io/api/kits/v1/voice-blender" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"modelId1": 6,
"modelId2": 15,
"modelId3": 83,
"alpha": 0.33,
"alpha2": 0.33,
"title": "My New Voice Model"
}'
url = "https://arpeggi.io/api/kits/v1/voice-blender"
headers = { 'Authorization': f'Bearer {your_api_key}' }
data = { modelId1: 6, modelId2: 15, modelId3: 83, alpha: 0.33, alpha2: 0.33, title: "My New Voice Model" }
response = requests.post(url, data=data, headers=headers)
voice_blender_job = response.json()
const url = 'https://arpeggi.io/api/kits/v1/voice-blender'
const headers = { Authorization: `Bearer ${your_api_key}` }
const data = (data = {
modelId1: 6,
modelId2: 15,
modelId3: 83,
alpha: 0.33,
alpha2: 0.33,
title: 'My New Voice Model'
})
const response = await axios.post(url, data, { headers })
const voiceBlenderJob = response.data
{
"id": 110784,
"model1Id": 6,
"model2Id": 15,
"model3Id": 83,
"alpha": 0.33,
"alpha2": 0.33,
"alpha3": 0.34,
"status": "running",
"outputModelId": 600,
"title": "My New Voice Model"
}
Authentication was not provided or was invalid.
Request body is invalid.
Rate limit exceeded.
